Bug 630209 - [abrt] obex-data-server-1:0.4.5-1.fc13: ods_obex_srv_get: Process /usr/bin/obex-data-server was killed by signal 11 (SIGSEGV)
Summary: [abrt] obex-data-server-1:0.4.5-1.fc13: ods_obex_srv_get: Process /usr/bin/ob...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: obex-data-server   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cc7625d61e69d28ea832db08457...
Keywords:
: 598031 606986 619992 622295 623893 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-04 02:38 UTC by wdc
Modified: 2011-06-28 13:26 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 13:26:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.10 KB, text/plain)
2010-09-04 02:38 UTC, wdc
no flags Details

Description wdc 2010-09-04 02:38:32 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: /usr/bin/obex-data-server --no-daemon ''
component: obex-data-server
crash_function: ods_obex_srv_get
executable: /usr/bin/obex-data-server
kernel: 2.6.34.6-47.fc13.i686
package: obex-data-server-1:0.4.5-1.fc13
rating: 4
reason: Process /usr/bin/obex-data-server was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1283567150
uid: 500

How to reproduce
-----
1. Enable Bluetooth File sharing.
2. From an Android phone, using "Bluetooth File Transfer" app from www.medieval.it open a connection to ~/Public
3. See that the phone says the directory is empty.
4. Copy a small text file into the directory.
5. On the phone, refresh the directory listing and see that the new item is present.
6. Ask to view the file.
BOOM! Segmentation fault!

Comment 1 wdc 2010-09-04 02:38:34 UTC
Created an attachment (id=443023)
File: backtrace

Comment 2 Julien Humbert 2010-10-01 11:03:32 UTC
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Activate Bluetooth
2. Sync computer and phone
3. Use phone to navigate computer files
4. Transfer file to phone


Comment
-----
Crashes when initiating transfer from computer to phone.

Comment 3 Misha Shnurapet 2010-11-03 16:14:58 UTC
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I chose to "Browse files..." here from a F14 notebook, then selected one text file and chose to open it with gedit there out of Nautilus.

Comment 4 Karel Klíč 2010-11-08 18:15:45 UTC
*** Bug 598031 has been marked as a duplicate of this bug. ***

Comment 5 Karel Klíč 2010-11-08 18:15:50 UTC
*** Bug 606986 has been marked as a duplicate of this bug. ***

Comment 6 Karel Klíč 2010-11-08 18:15:55 UTC
*** Bug 619992 has been marked as a duplicate of this bug. ***

Comment 7 Karel Klíč 2010-11-08 18:16:00 UTC
*** Bug 622295 has been marked as a duplicate of this bug. ***

Comment 8 Karel Klíč 2010-11-08 18:16:05 UTC
*** Bug 623893 has been marked as a duplicate of this bug. ***

Comment 9 Sitsofe Wheeler 2010-11-08 22:56:35 UTC
I have a feeling this bug is still here in Fedora 14. The steps in bug #598031 no longer result in a crash but nor can the file be transfered. However, when a file pull is initiated from another machine browsing the Fedora 14 machine's bluetooth share a crash occurs.

Comment 10 Julien Humbert 2010-11-08 23:19:39 UTC
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tried to download shared file on phone

Comment 11 steelcanon 2010-11-14 08:25:36 UTC
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I opened the public folder by using bluetooth and i tried to download a file.
2. Then the program crashed.
3.

Comment 12 Nick Lamb 2010-11-18 12:30:20 UTC
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Connect with Bluetooth File Transfer program from Android Marketplace
2. Transfer a file from the Fedora system
3. The file is zero bytes long and obex-data-server segfaults


Comment
-----
There is a lack of sanity checking in the relevant code. Perhaps the OBEX request is malformed, but even if so, the program should not just crash

Comment 13 Bug Zapper 2011-05-31 14:30:23 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2011-06-28 13:26:10 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.